html,
body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    height: 100%;
    display: flex;
    flex-direction: column;
    scroll-behavior: smooth;
    overflow-x: hidden;
    overflow-y: auto;
}


.head-button {
    background-color: #00639a;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-weight: bolder;
    color: white;
    width: 100%;
}

.head-button:hover {
    opacity: 0.8;
    text-decoration: underline;
}

.head-button-link {
    color: white;
    text-decoration: none;
    flex-grow: 1;
    text-align: center;
}

.head-button-link:hover {
    text-decoration: underline;
}

footer {
    width: 100%;
    text-align: center;
    background-color: #f2f2f2;
    padding: 20px 0;
}


#miaolab {
    color: #007bff;
    text-decoration: none;
    font-weight: bold;
}

#miaolab:hover {
    color: #0056b3;
    text-decoration: underline;
}

.article-link {
    color: #007bff;
    font-weight: bold;
}

.article-link:hover {
    cursor: pointer;
    color: purple;
}



#search-wrapper {
    display: flex;
    align-items: center;
}

#search-box {
    width: 60%;
    min-width: 800px;
    padding: 8px 6px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    background-color: #f0f6fa;
    font-size: 16px;
    resize: vertical;
    overflow: hidden;
}

#search-button {
    border: none;
    background-color: #126A9F;
    width: auto;
    padding: 0 6px;
    color: white;
    font-size: 18px;
}

#search-button:hover {
    background-color: #0b4e79;
    cursor: pointer;
}

#search-button,
#search-box {
    height: 40px;
    vertical-align: top;
}

.link-details {
    color: #191970;
}

.link-details:hover {
    cursor: pointer;
    color: #BA55D3;
}


#sequence-display {
    font-family: monospace;
    white-space: pre;
    line-height: 3;
    display: flex;
    flex-wrap: wrap;
    max-width: 100%;
    box-sizing: border-box;
}

#sequence-display span {
    font-size: 16px;
    position: relative;
    display: inline-block;
}

#sequence-display span.full::before {
    content: attr(data-index);
    position: absolute;
    top: -1em;
    right: 0;
    font-size: 0.8em;
    font-weight: bold;
}

#sequence-display span.full {
    margin-right: 8px;
}

#sequence-display span.normal-char {
    margin-right: 0px;
}

#sequence-display span.highlight-char {
    color: red;
}

.margin-0 {
    margin: 0;
}

.m-top-50px {
    margin-top: 50px;
}

.m-top-20px {
    margin-top: 20px;
}

.m-top-5px {
    margin-top: 5px;
}

.m-top-minus8px {
    margin-top: -8px;
}

.m-top-minus10px {
    margin-top: -10px;
}

.m-bottom-120px {
    margin-bottom: 120px;
}

.m-bottom-50px {
    margin-bottom: 50px;
}

.m-bottom-30px {
    margin-bottom: 30px;
}

.m-bottom-20px {
    margin-bottom: 20px;
}

.m-bottom-6px {
    margin-bottom: 6px;
}

.m-bottom-5px {
    margin-bottom: 5px;
}

.m-bottom-10px {
    margin-bottom: 10px;
}

.m-left-50px {
    margin-left: 50px;
}

.m-left-30px {
    margin-left: 30px;
}

.m-left-25px {
    margin-left: 25px;
}

.m-right-10px {
    margin-right: 10px;
}

.m-right-30px {
    margin-right: 30px;
}

.m-vertical-50px {
    margin: 50px 0;
}

.m-vertical-5px {
    margin: 5px 0;
}

.m-horizontal-15px {
    margin: 0 15px;
}

.p-10px {
    padding: 10px;
}

.p-5px {
    padding: 5px;
}

.p-left-50px {
    padding-left: 50px;
}

.p-horizontal-50px {
    padding: 0 50px;
}

.min-width-700px {
    min-width: 700px;
}

.width-100 {
    width: 100%;
}

.width-95 {
    width: 95%;
}

.width-40 {
    width: 40%;
}

.width-38 {
    width: 38%;
}

.width-10 {
    width: 10%;
}

.width-4 {
    width: 4%;
}

.width-630px {
    width: 630px;
}

.width-370px {
    width: 370px;
}

.width-270px {
    width: 270px;
}

.width-190px {
    width: 190px;
}

.width-175px {
    width: 175px;
}

.width-130px {
    width: 130px;
}

.height-200px {
    height: 200px;
}

.height-50px {
    height: 50px;
}

.height-100px {
    height: 100px;
}

.font-size-14px {
    font-size: 14px;
}

.font-size-16px {
    font-size: 16px;
}

.font-size-28px {
    font-size: 28px;
}

.font-weight-bold {
    font-weight: bold;
}

.font-weight-bolder {
    font-weight: bolder;
}

.text-decoration-none {
    text-decoration: none;
}

.display-flex {
    display: flex;
}

.display-inline-block {
    display: inline-block;
}

.display-block {
    display: block;
}

.display-none {
    display: none;
}

.justify-content-flex-start {
    justify-content: flex-start
}

.justify-content-space-between {
    justify-content: space-between
}

.flex-column {
    flex-direction: column;
}

.flex1 {
    flex: 1;
}

.align-center {
    align-items: center;
}

.border-box {
    box-sizing: border-box;
}